#!/bin/bash

WGET="wget -r -N -np -nH -nd -A png,pgw"
BASEURL="http://kartat.kapsi.fi/files"

PERUS="peruskarttarasteri_jhs180/painovari/1m/etrs89/png/"
TOPO50k="maastokarttarasteri_50k_jhs180/painovari/4m/etrs89/png/"
TOPO100k="maastokarttarasteri_100k_jhs180/kaikki/etrs89/png/"
TOPO250k="maastokarttarasteri_250k_jhs180/kaikki/etrs89/png/"
TOPO500k="maastokarttarasteri_500k_jhs180/kaikki/etrs89/png/"
YLEIS1000k="yleiskarttarasteri_1000k_jhs180/kaikki/etrs89/png/"
YLEIS2000k="yleiskarttarasteri_2000k_jhs180/kaikki/etrs89/png/"
YLEIS4500k="yleiskarttarasteri_4500k_jhs180/kaikki/etrs89/png/"
YLEIS8000k="yleiskarttarasteri_8000k_jhs180/kaikki/etrs89/png/"

${WGET} -P PERUS ${BASEURL}/${PERUS}
${WGET} -P TOPO50k ${BASEURL}/${TOPO50k}
${WGET} -P TOPO100k ${BASEURL}/${TOPO100k}
${WGET} -P TOPO250k ${BASEURL}/${TOPO250k}
${WGET} -P TOPO500k ${BASEURL}/${TOPO500k}
${WGET} -P YLEIS1000k ${BASEURL}/${YLEIS1000k}
${WGET} -P YLEIS2000k ${BASEURL}/${YLEIS2000k}
${WGET} -P YLEIS4500k ${BASEURL}/${YLEIS4500k}
${WGET} -P YLEIS8000k ${BASEURL}/${YLEIS8000k}

gdaltindex PERUS.shp PERUS/*.png
gdaltindex TOPO50k.shp TOPO50k/*.png
gdaltindex TOPO100k.shp TOPO100k/*.png
gdaltindex TOPO250k.shp TOPO250k/*.png
gdaltindex TOPO500k.shp TOPO500k/*.png
gdaltindex YLEIS1000k.shp YLEIS1000k/*.png
gdaltindex YLEIS2000k.shp YLEIS2000k/*.png
gdaltindex YLEIS4500k.shp YLEIS2000k/*.png
gdaltindex YLEIS8000k.shp YLEIS8000k/*.png
